#include "MathTool.h"
#include <time.h>

namespace HPL {
namespace MathTool {

void setSeed( long seed ) {
	init_genrand( seed );
}

/** 種を時間から自動取得
  * @retval 時間をlongに直したもの
  */
long getRandomSeedFromTime() {
	return static_cast<long>(time( NULL ));
}


}// namespace Math
}// namespace HPL
